Name:		radeontool
Version:	1.6.3
Release:	%mkrel 13
Summary:	Enable/disable ATI Radeon external display/backlight
Source0:	https://people.freedesktop.org/~airlied/%{name}/%{name}-%{version}.tar.bz2
Source1:	http://www.fdd.com/software/radeon/lightwatch2.pl
URL:		https://people.freedesktop.org/~airlied/radeontool/
License:	BSD
Group:		System/Kernel and hardware
BuildRequires:	pkgconfig(pciaccess)

%description
This utility should enable/disable the external display for ATI Radeon video
cards.
It should also enable/disable the backlight on a laptop equipped with a an ATI
Radeon Mobility video card.
Since it was engineered without access to the Radeon documents, it may as well
break your hardware.
USE RADEONTOOL AT YOUR OWN RISK

%prep
%setup -q
cp %{SOURCE1} .

%build
# to recognize aarch64
autoreconf -vfi

%configure --bindir=%{_sbindir}
%make_build

%install
%make_install

%files
%doc lightwatch2.pl
%{_sbindir}/radeontool
%{_sbindir}/avivotool
%{_sbindir}/radeonreg


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.6.3-13.mga10
+ Revision: 2217829
- Mageia 10 Mass Rebuild

* Mon Feb 13 2023 ghibo <ghibo> 1.6.3-12.mga9
+ Revision: 1941160
- Rebuild for aging

* Thu Mar 31 2022 umeabot <umeabot> 1.6.3-11.mga9
+ Revision: 1836595
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.6.3-10.mga8
+ Revision: 1516349
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.6.3-9.mga7
+ Revision: 1300766
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 1.6.3-8.mga7
+ Revision: 1234158
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Wed Feb 03 2016 umeabot <umeabot> 1.6.3-7.mga6
+ Revision: 933346
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.3-6.mga5
+ Revision: 750076
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.3-5.mga5
+ Revision: 688601
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.6.3-4.mga4
+ Revision: 521569
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 fwang <fwang> 1.6.3-3.mga3
+ Revision: 391312
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 1.6.3-2.mga3
+ Revision: 380153
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 luigiwalser <luigiwalser> 1.6.3-1.mga3
+ Revision: 280997
- 1.6.3

* Wed Apr 13 2011 tv <tv> 1.6.2-1.mga1
+ Revision: 84581
- new release

* Thu Jan 20 2011 pterjan <pterjan> 1.6.0-1.mga1
+ Revision: 25665
- imported package radeontool


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6.0-1mdv2011.0
+ Revision: 607293
- rebuild

* Mon Feb 08 2010 Frederik Himpe <fhimpe@mandriva.org> 1.6.0-0mdv2010.1
+ Revision: 502461
- Fix BuildRequires
- Update to new version 1.6.0
- Remove patch which is not needed anymore (partly merged upstream,
  other part does not apply anymore)
- Update string format patch

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.5-9mdv2010.0
+ Revision: 426855
- rebuild

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 1.5-8mdv2009.1
+ Revision: 366211
- fix str fmt
- fix patch num

* Mon Aug 25 2008 Luca Berra <bluca@mandriva.org> 1.5-8mdv2009.0
+ Revision: 275705
- revert buildrequire kernel-headers
- use sysconf(_SC_PAGESIZE) instead of PAGE_SIZE
- BuildRequires kernel-headers
- fix segfault when using --debug (#43128)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Thierry Vignaud <tv@mandriva.org> 1.5-4mdv2008.1
+ Revision: 134671
- rebuild

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.5-3mdv2008.1
+ Revision: 126435
- kill re-definition of %%buildroot on Pixel's request


* Sun Jan 21 2007 Emmanuel Andry <eandry@mandriva.org> 1.5-3mdv2007.0
+ Revision: 111399
- bunzip patch /
  %%mkrel
- Import radeontool

* Mon Aug 29 2005 Luca Berra <bluca@vodka.it> 1.5-2mdk
- rebuild

* Sat Jul 24 2004 Luca Berra <bluca@vodka.it> 1.5-1mdk
- 1.5
- added lightwatch2.pl to docs

